import {configureStore} from '@reduxjs/toolkit'
import appReducer from './reducers/jokeReducer';

// Reference here all your application reducers
const reducer = {
    appReducer: appReducer,
}

// @ts-ignore
const store = configureStore({
    reducer,
    middleware: (getDefaultMiddleware) =>
        getDefaultMiddleware({
            serializableCheck: false
        })
},);

export default store;